ROBOCUT(1)

NAME
Robocut - is used with cutting plotters.

DESCRIPTION
The `Robocut' program plots or cuts SVG files on a Craft Robo or Silhouette SD or most likely any other customer grade Graphtec cutting plotter.

  Usage:

    robocut [OPTIONS...] [File]

  Help Options:

--help
    Show summary of options.

--version
    Show version information and copyright details.

--show
    Show all the parameters entered and the defaults.

  Application Options:

-s, --no-sort
    Stop sort the objects from the SVG before plotting.

-t, --bb-sort
    Sort the objects by bounding box, good for letters. This will cut out the inside first and than the outside.

--cut
    Shows the cutting dialogue after start.

--media INT
    Select the media. See drop down box.

-g, --speed INT
    The speed between 1 and 33.

-p, --pressure INT
    The pressure between 1 and 10.

--track-enhancing
    Move three times back and forward to create a track.

--margin-top DOUBLE
    Define the margin on top in mm.

--margin-right DOUBLE
    Define the margin right in mm.

  Registration Mark Options:

-r, --reg-mark-auto
    Use registration marks and find the marks automatically.

--reg-mark
    Use registration marks but set the knife manually on top the round mark.

-a, --reg-dimension-width DOUBLE
    Specify the length in mm between the the two horizontal marks.

-b, --reg-dimension-height DOUBLE
    Specify the length in mm between the the two vertical marks.

-c, --reg-origin-width DOUBLE
    Specify the length in mm between the the edge of the paper and the first horizontal mark.

-d, --reg-origin-height DOUBLE
    Specify the length in mm between the the edge of the paper and the first vertical mark.

  Device Options:

--usb-vendor-id INT
    Try this program with other usb hardware on your own risk. You need to convert hex to dec.

--usb-product-id INT
    May also work with other hardware, try usb-devices program to scan your computer.

ENVIRONMENT
QT SVG only supports the SVG 1.2 Tiny standard and this has a limited SVG support. For example multiline text is something that is no supported by Robocut, however you can export your text to a path or just create each line separate.

AUTHOR
Written by Tim Hutt and Markus Schulz <schulz@alpharesearch.de>

REPORTING BUGS
Report bugs to https://bugs.launchpad.net/robocut/+filebug.

COPYRIGHT
Copyright © 2010
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.